Subject: Re: bug#50860: Core-updates-frozen world rebuild coordination

From: Jack Hill <[email-masked]>
Date: Wed, 29 Sep 2021 13:00:31 -0400 (EDT)

On Wed, 29 Sep 2021, Leo Famulari wrote:

> On Tue, Sep 28, 2021 at 02:38:33AM +0000, John Kehayias via Bug reports for GNU Guix wrote:
>> Thanks for coordinating this Leo. Is there anything else with huge rebuilds to push together?
>
> We are moving the coordination to <https://issues.guix.gnu.org/50358>,
> which already existed for this purpose. I hadn't really noticed it
> properly!
>
>> I don't want to keep finding and adding things, but two possibilities come to mind that I've just noticed:
>>
>> 1a. p11-kit #49957 https://issues.guix.gnu.org/49957
>>
>> I've just hit this bug on core-updates-frozen as well, though was originally reported on master. As I noted there, I tried to test with just grafts but didn't fix it for me (I'm guessing grafting won't work with that configure flag change). The patch matches how nix configures p11-kit as well, due to this bug.
>
> If that bug primarily affects Flatpak, I suggest using the solution you
> described, which is to create another p11-kit package and use it for
> Flatpak.

I'm not sure the flatpak/p11-kit problem will be so easily fixed. As I 
understand it, flatpak talks to a p11-kit server process over a socket. 
The server may have been started by something other than flatpak, so it 
might not be the fixed version.

> If you still think 1a or 1b are important to include in the current
> core-updates cycle, please let us know in #50358!

I'm not comfortable deciding whether or not this should block the merge, so 
I'll defer to someone else who has more experience making those types of 
judgments.

Best,
Jack